List integration carrier mappings
curl --request POST \
--url 'https://clarus-api.com/graphql#ListIntegrationCarrierMappings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListIntegrationCarrierMappings"
payload = { "query": "query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListIntegrationCarrierMappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"integration_carrier_mappings": {
"all": {
"edges": [
{
"node": {
"id": "5",
"carrier": {
"id": "12"
},
"carrier_service": {
"id": "34"
},
"integration_carrier": {
"id": "901",
"code": "DPD"
},
"mapping_fields": [
{
"carrier_code_in_file": "DPD-NEXTDAY"
}
],
"mapping_group_id": "7"
}
}
]
}
}
}
}{
"error": "<string>"
}Mappings
List integration carrier mappings
Retrieve integration carrier mappings using GraphQL. Supports filtering, sorting, and pagination via relay-style connections.
POST
/
graphql#ListIntegrationCarrierMappings
List integration carrier mappings
curl --request POST \
--url 'https://clarus-api.com/graphql#ListIntegrationCarrierMappings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListIntegrationCarrierMappings"
payload = { "query": "query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListIntegrationCarrierMappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"integration_carrier_mappings": {
"all": {
"edges": [
{
"node": {
"id": "5",
"carrier": {
"id": "12"
},
"carrier_service": {
"id": "34"
},
"integration_carrier": {
"id": "901",
"code": "DPD"
},
"mapping_fields": [
{
"carrier_code_in_file": "DPD-NEXTDAY"
}
],
"mapping_group_id": "7"
}
}
]
}
}
}
}{
"error": "<string>"
}Query Structure
query($filter: IntegrationCarrierMappingFilterType) {
integration_carrier_mappings {
all(filter: $filter) {
edges {
node {
id
carrier { id }
carrier_service { id }
integration_carrier { id code }
mapping_fields
mapping_group_id
}
}
}
}
}
Filter Argument
All filters are passed inside thefilter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
"filter": {
"mapping_group_id": {
"eq": "value"
}
}
}
Available Filters
| Filter | Input Type | Operators | Description |
|---|---|---|---|
mapping_group_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Parent mapping group ID |
carrier_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Internal carrier ID |
carrier_service_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Internal carrier service ID |
integration_carrier_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | External entity ID |
integration_carrier_code | StringInputType | eq, ilike, like, in, between | External entity code |
created_at | DatetimeInputType | eq, from, to, between | Creation timestamp |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
GraphQL query string
Example:
"query($filter: IntegrationCarrierMappingFilterType) { integration_carrier_mappings { all(filter: $filter) { edges { node { id carrier { id } carrier_service { id } integration_carrier { id code } mapping_fields mapping_group_id } } } } }"
Query variables including the filter object
Show child attributes
Show child attributes
Example:
{
"filter": { "mapping_group_id": { "eq": "7" } }
}

